View Issue Details

IDProjectCategoryView StatusLast Update
0006689ScribusNLSpublic2016-12-08 21:41
Reporteryoch Assigned ToFahad  
PrioritynormalSeveritytextReproducibilityalways
Status closedResolutionfixed 
PlatformOSWindowsOS VersionXP
Product Version1.3.3.11 
Target Version1.5.3Fixed in Version1.5.3.svn 
Summary0006689: Parentheses inversion when I'm import hebrew text
DescriptionParentheses inversion when I'm import hebrew text
Steps To Reproducealways
Tags#please_test, fixed, HOST-Oman, RTL
Patch

Relationships

related to 0003965 acknowledged Metabug: Support for non-latin languages 

Activities

2008-01-18 08:50

 

essai.txt (13,581 bytes)
���� ����� ���� ��

�. �� ��"� (�� ���� ��"�) ��"� ��� ���� �"� ���� ����"� �� ����� �"� (����"�) ���� ����� ���� ����� �� ����� ��� ��� ���� ��� ���� ���� ���� �����, ���� ����� �� �� ��� ��� �� ����� ���� ���� ��', ���� ��� �� �� ���� ��� ���� �� ��� ��� �� �� ���� ��� ����� ���� ��� ���� �� ��� ����� ��� �� ��� ����, ��� ���� ��� ��� ��� ��� ��� ���' ��' � ��� ���� ������ �� ���� ���� ����� ���� ��� ��� ��� ��� ���� ���� ��"� ����� ���� ���� ����� �� ���' ����' �� ��� ��� ����� ���� ���� ���� �� ����� ���' ��"� �� ��� ��' ��"�. ��� ����"� �"� ��"� ���� ���� ������ ���� ��� ���� ��� ��� ����' �� �� ��� ��� ���� ��� ���� ���, ������ ���� ���� ����� ���� (���� �"�, �"� �"�, ��"� ������ �"�). �����' ��� ����� ��� ��� ���� ���"�, ���� ��� �� ����� ���� ���"� �"� ��� ����� �� ��� ����� ���� ���. ����� ��� ���� ���� ��� ����"� ��� ����� ���' �� ���� ���� ��� ��� ��� ����, ��� ���� ��� ��� ������ ��� ��. ����� ����� ��� ���� ������ ��� ����, ���� �"� ��"� (�"� ��) ��"� ���� �����, �� ���� �"�, �� �� ����� ���� ���� ��� ���� ��� ���� �� �� ����� ��� ��� �� ���� (��"� ��"� �� �� �"�). ���� �� ��"� ��� ���"� ������ ����� ���� � ��"� ����� ��� ���� ����, ���� �"� ��� ���� �� ��� ��� ��� ��� ���� ���� ��'.

������ ����"� ��� ������� (�' ����� �� �') ��� ���� �� ���, ��� ��� ��� ���� ��� (���� �"�) � �� ���� ��� �� ��� ����� ���� ��� �� ������ ����� �� ��� ����� �� ���� ���� ����� �� ����� �� �� �� ��� ���', �� ��� �� �� �� �� �� ��� ��� ���� ���� ���' �"� ��� ���� �� ���, �� ���� ���� ���� �� ���� �� ����� ����� ��� �� ��� ���� �� ���� �� ����� ����� ��� ���' �"�. ���� ��� ��� ��� �"� ���� �� ��"� ���� ��, ��"� ���� �� ��� ���� ���. ��� ����� ����� �' ��� (�"� �"�) ���� �� �� ����� ��� ���� ��� �"� �� ��� ��� ����� ��� �� ����� ����� ���� ��� �"�. ���' ����� �� ��� ���� � ��� ����� ���� ��� ����� �� ��� �����, ��"� ���� ��� ���� ��. �� ����� ������� ��� ���� �� ����� ���� �� ���� ��� ��"� ����� ���"� ���� ����� �� ���� ���� ������ �� ���� ����� ��� ���� �� ��� �� �� ����� ��� �� �� ���', ���� ��� ���� �� ��� �"�, �"� �� ��"�. ���� ��� ��� ����� ���� ��� �� ���� ��� �� ���� �� ������ ��� ����' ���� ���� ����� ��� �����, ��"� ��"� �����"� ���� �� ����� �� �� ���� ���� ����', �"� �� ��. [��� ����� ����� � ���� �� ��� ����� �� �� �� �� ���� ��� �� ���� ���� �� ���� ��� ����� �� ��� �����]. ����"� �"� ���� ��' ����� ���� ���� ����� ��� ����� ���� ��� ��� ��� ���"� ��� ��� ���� ��� ���� ��� ���"� ����. ��� ������ ����"� ���"� ��' ������, ��� �� ���� ��� ���� ���' ������ ���', ���� �� ��� �� ��� ���� �� �� ��. �"� �� ��"� ���"� ����� ����, ����� �"� ���� ���� ���� ������ ������ ����� ���� ���� �� ���"�.

�. ���� �� ���"� (�"� �� �"�) ��� �� ��� ���� ����� ��� ����� ����� ������ ��� ��� ���� �� ��� ���', ��"� ��� ��� ��� ������ ���� ����� ��� ���� �� ��� �� �� ����� ��� �� �� ���� ���� �����, ����� ���� ���' �� ���� �� �� ���� �"�. ��� �� �� ���' ����� ��,� ���� ������ ����� ��� ��� �"�. �� ���� ����� ��� ��� ���� �"� ��� ���� ��� �� ��� ��� ��� ���� �����"� ���� �� ����� ��� ��"� ���. ����� ��� ���� ����� ��� ����"� ��� ���� ���� ����' ������ ��� ���"�, ��� ��� �� ��� ��� ��� ���' �� ���� ����, ��"� ��"� ��� ��� �� ����� �� �� ��� ��� ���� (����� ���� ��� �����), ��� �� ��"� ��� ��� ��� ��� ��� ���� ��� �"� ��� ���� ������'. ���� � ���� ��� ��� ��"� ����' �� ���� ��� ���� ���� ��� ��� ������, ��� ���"� ��� ���� �� ��� ��� ���, ���� ��� ��� ���� ������� ������ �����.

��� ����� ���� ���� ��' ���"� ���� ������ ���� ���� ���� �� ��� ����� ����� �� ����� ��� ����� �� ��� ����� �� ����� ����� ���, ��� ���. [���� �� ��� �"� ��"� ��"� ��' �"� ��� ��� ����� �� �' ���� ���� ���� �� ���, ���� ��� �� �"� �� ����� ������ ����� ��� �� ��� ��� ���� ���� ����� ��� ��"� ���� ���� ���� ����� ��� �� ���, ��"� �� ����� ����� ��� �� ��� ���� ���� �' ���� ���� �� ��� �"�, ���"� �"� ���� ��� ��� ���� ����� ��� ��� ����� ���� ���� �� ��� ����� ��� ���� ����� ��� ��� ����� ���� ��. ��� ������ ��� ���� ��"� ��"� ����� �"� �� ���� ���� ��� ���' ��� �� ����].

�. ����� ������ �"� ������ ��� �"� �"� ��� ����� �� ��� ��� �� ���� �� ���� ��� ������ ����� �����, �"� �� �' ����� ��� �� �� ��' �� ���� ��' ����� ��� ����, ��� ���� � ��� ��� ���� ��� ��� ����� ��� ����� �� �� ��� �� ��� �� ��� �����, ����� ������ ��� ���� �� ����� ���� �����, �"� ����� ������ ��� ��, �� �' ���� ���� �� ��� ���� ��� ��� �' ����� ��� �' ���� (���� �� ��,�) ���� ���� ��� ���� ��� ���� ���� �� ��� ���� �"�. ����� �� �� ��"� ���� ��� �"� ����� ����� ����� ���� ����� ��� ��� ���� ���� ��"�. ����� ���� (���� ��,� ���"� ������ ���') ��� ���� (�"� ��"� ��"�) ������ ��� ����� ����� ��� �� ����� ���"� �� ���� ��� ���� ����, ���� ��� ��"�. ����"� ��� ������ ��� �����, ���� ��� �� �� ���� �� ��"� ��� ��� ��� ���� �� ��� �� ����� ���� ��� ���� ��� ���� ���� ���� ���� ��� ���� ����� ����� ���� ���� ���� ��� ����� �� ���� ���� ��� ����� ��� ��� ���"� �� ���� ����� ���� ���� �����, ����' �' ���� ��� ���� ��� ��� ��"�. ����� ����� ���� ����� ��� ���� �� ��� ��' ��� ������ �� �� ���, [��� ����� �� ���� �� ���� ��� ����, ��� ���� ���� �� ��' ����"� ��], ��"� ���� ���' ��"� �� ����� � �� ���� ��� ��� ����� ���� ���� �� ��� (���� �"�) �"�, ����� ���� �� ���.

������ ��� ���� ��� ��� ���� � ��� ��� ������ ��� ����� �� ������, ��� ���"� ���� ������ � ������ ����� �� ���� �� ����� ��� ���� ����. ���� ���� ��� ����� ������ ���� ����� ��� ���� ������, ��� ��� ������ ���� ����� ���"� ��� ����� ���� �����. ��� ��� �� ��� ����� �"� ����� ��� �� ���� ���� ���', ���' ������� ���� ���� ���� �� ��� �� ����� ���, �"� �� ��� ��� ��� ��� �� ���. ������ ��� �����"� �' ��"� �"� ��� ������ ���� ���� ����� ��� �� ��� �� ���� �"� ���� ��� ��� ���� �� �' ���� ����� ��� �� ��� �� ����, ��� ��� ���� ��' ���' �"� �"� ��"�. [��� ��� ���� ��� �' ���� ��"� ��� ��� �"� �� ����' �' ���� �� ��� ��� ���� ��� �� �� ��� ��� � ���� �� ��� ��� ���� ��� ���� ��� �"�, ���� ��� �' ���� ��� ��� �� ��� �� ��. ���� ��� ���� ���� �� ����' ��� ��� ��� �� ��� �� ���� �"� �� �� �� ���' � ����� ����� ������ ���� ��"� ��� ���� ��� ���� ����� ��� ��� ��� ��. ��� ����� ����� ��� �' ���� �"� ������ ���� ��� �� ����, ������ ����' ����� �� �� ���� �"� �� ���� ���� ���� ���� ����, ��"� ���' ���� ���� ���"�]. ���� ���� ��� ���"� ���� ��� ���� �� ���"� ���� ���. ��"� ��� ��' ����"� ��' ���"�, ����� ���� ����� ���� ��� �� ����� �� ���� ��� ����� ��� ���� ������ ���� ��� ����� ��� �� ���� ����.

��� ��"� �"� ��� ��� ����� ���' ��� �� �� ��� ��� ��"� ������ � ������ ���� �� ���� �� ����� ���� ���, ���� ���� ���� ��� ������ ����� ��� ���� ���� �� ������, ��� ������ ���� ��"� ��� ����� ���' ���� �� ���' ������ �� ��� �����. ���� ��� ���� ��"� ��"� ��� ���� ���� ����� ���� �� ����, ������ ��"� ����� ��� ���� ���� ��� ���� ��� ����� ������ ����. [����"� �"� ���"� �"� �� ��� ���� ����� ��� (����� �"�) ��� ����' ��� �� ���. �� � �� ��� ��� ��"� �� ��� ��� ���' ���� ����� ����� ��� �����, ����� ���� ��� ���� �"� ����� ��� �� ��� ����� ��� ��� ��� ��� ���� ����� ��� ����� ����� ���, ��"� ��� ��� ���� ����� ���� �� ��� ��� ��� ���' ���� �� �� ����� ��� ����� ��� ��� ����� �� ������. �� ���� ��� �� ����� �� ���� �� ��� ��� �� �� ���' ����� �� ��� �"� ����� ���, ��� �' ���"� �' �"�, ��� ����"� ��� �� ���� ��� ���� �����. ����� �"� ��� ����' ��� ��� ���� �"� �"� ����� ��� ��� ���� �� ��� � ���� ����� ������ ���� �� ����� ����� �� ������ ������ ����� ��� ���� ��� ���, ��"� �"� ���� ��� ���� ���� ���� ��� ��� ��� ����� ���', ����� ���� ����' ��� ��� ���� ����� ���� ���� ��� ���� ���"�]. ��� ����� ��� ��� ���� ����' ���� ��. �� ��� ��� �� ��� ����"� ���� ���� ��� �����', ������ ������ ����� �' �� ���, ��� ���.

�. ���� ��� �����' ���� �� ��� ��� ����� ��� �� ����� ����� ���� ���, � ���� ����� �����' ��� ���� ����� ���� ���� ����� ����� ����� ��� ���, ��� ���"� ���� ��� ����� ���, �� ���� ������ ��� ����� ���� ���� ��� �"�. ����� ����� ��' ����"� ��"� ���� ��� ����� ����� �� ��� ����� ��� ���, ���� ��� ���' ����� ��� ��"� ����� ����� ��� ������ ��� ��� ���� � �� �� ���� ��� ������ ���� ���� ����� �� ���� ��� �� ��� ��� ������ ��� ���. ���� ��� ���� ��"� ��� ���� ����"� ���� ���� ��� �� ���� �� ��� ��� ������ �� �� ���� �� ��� �� ��� �� ���, ���� ��' ������ ���� ������ ���� ���� ��� ����� ���, ���� ��� �� ��� ���� ��, ����� ����. ���� ��� �"� �������, ���� ����� ��� ��� �� ���� ��� ����� ��� ���� �� ��� ��� ��� ��� ���� ��� � �� ���� ��� �� ��� ����� ���', ��"� ����� ��� �� �� ��� ��� ���' ���� ����� ��� ���� ���, ������ ��� ���� ���� ��� � �� � �� ���� ��� ���� ��� ��� ���, ���� ���' ��� �����, ���� ���� ��� ���� ���� �� ���. ���� ��"� ���� ������ ��"� ��� �� �� ��� ������' ��� ����� ���' ��� ���� �����, ��� ��� ��� �� ���� ��� ������ ��� �� ���� ���� ���� ����� ��� �����, ���� � ������ �� �� ��, ����� ���' ��� ���� ���' ��� ���� ����� ��� ���� ���� ��� �� �� (��"� �"� ���"� ���' �� ����).

��� ���' ���� ��� ��� ���� ���� �� ��"� ��� ����, ����"� �� ��� ������� ����� �� ��� �� �� ��� ����� ��� ���� ��� ��"� [����� ����� ���� ��� ���� ��], ��� �"� ��� ���� ���"� ����� ������ ��� �� �� �� �����' ����� ��� �� ��� �� ��, ��� �"� �� ���� ���' ���. [������"� �"� ��� ������ ������ ��� �� �� �� ���� ��� ����' ���� ���� ��� ������]. ��' ��"� ����� ��,� �"� ��� ����� ���� �� ��"� ��� ���� ��� ��� ���� ��� ���� ���' ��� ����� ��� ��� ��� ���� ����� ������ ��� ��� ���� �� ��� �� ��� ���� ����� ��� ���' ��"�. ����� ��� ���� ������ ���� ���� ��, ���� ��"� ��"� � �� ��� ���' ��� ���� �� �� ���� ���, ��� ���� ���� ���' ����' ����� [��� ���� ���� ��� ��� �� ����� �����]. ��� ����� �"� �"� �� �"� ���� �� �������, ����� ���� ��� ����' ����� �� �� ���� ��� ���"�. ���� ��� �� ���� ��� ���"� ����� ������� ��"� ��� ���� ��� ��. [��"� ��� ��� �� ������ ����"� ���"� ���, ��� �� ���� ��� ���� ���� �� ��� �� ��� ���� ��. ������ ��� �� ��"� ����� ���� ��� ������� ��"� ��� ��� ���� �� ���� ���' ����� �� �� ���� ���, ��� �����"� ����� ��� ���� �"� ��� ���� ��� �����' ��� ��� ����� ��� ��� ���� �����.

�. ���� �� ���"� �"� ���' ���"� �"� ��"� �� ����� ���� �� ���� �� �� ����� ��� ��� �"�, ��"� ����"� ���� �"� �"� ��"� ��� ����� � ��� ������ �� ��� � ��� �� ���� ���� �� �"�. �� ���� �� ��� �� ����� �� ����� ����, ���� ��' ���� �� ��"� ����� ��"� ��� ����� ���� �� �� ������ �� �� ����� ���� ���� ����� ��� ��� ���� ��� �' ������ ������ ���� ���' ��� �� �� ���� �� �� ��� ����� ���' �"�. ������ ��� ��� ���� ��� ���"� ���� �����, ������� �"� ��"� ��� ���' ���� ��� �� �� ��� ��� ������ ��"� ��� "��� ���" ������ ��� ������� ���� ���� ��� ����� ��� ���� ������ ���� ���� ���� ���� �� ��"�. ���� �� ���"� �"� ����� ��"� ��� ��"� ����� �� (��' �����, ���) �� ��� ��� ��� �� ���� �� ��"�. ���"� ��' ��"� ���� ����� ���� ���� ��� �� ��� ���, ���� ���� ��� ���. ���� ����� ������� ��� ��� ��, �����"� �� ���� ��� ������� �"� ���� �� �"� ���� � �� ���� �� ���� ��� ����� �� ��, ��"� ��"� ���� ��"�. ��' ��"� �' ��"� �"� ���� ���� ���� ��� ���� ���� �� ��� ���� ��� ����� ��� ����' �� �� ���� ���� ��. ����"� ���� �"� ��� ���� �� ���� ����� �"� ��� �� �� ��� �����, ���� ����� ����� ���� ��� ��� ����� ���� ����� ���� ���� �� ������� ���� ���� ���� ���"�, �"� �� �� �� ���� ��� �"� ����� ��� �� ����� ���� ���� �� ���"�.

[���� ��� �� ��"� ����"�, ���� ���� �� ����� ����� ���� ��� ���� ����� ���� ��� ����� ��� ��� �����, ��� ��� ���� ����� ����� ���� ��� ��� ���� ����� ���, ��"� ��"� ��� ���� ���� ��� ���� �� ��� � ��� ��� ����� ����� � ����� ����. ��� �� ��� ��� �� ���� ���� ��� �� ��� ��� ���' ���� ���� ����� �� ���� �� (���� �� ������), � �"� ����� �� ���� �� ���� ��� ��. ��� ���� ����� ��� ��� ����� ���� ��� ���� ���� ���, ��� �� ��� �� ���� ��� ��� ����� ��� ����� ���� ��� �� ����� ����. ��' ��� ���"� ��' ���� ��, �� �� ����� �� �� ����� �� ����� ���� ������ ������ ����, ��� ����� ��� �� �� ���� ����� ���� �� �� ��� �� ��� ����� ��� ��� ��� ��� ��� ��� ��� ����� ��� ��� ���' �"�. ����� ����� ��� ��� ����� ����� ���� ��� ����� ��� �� ������ � ���� ��� ���, ��� �� ��� ���� ��� ����� ��� ���' ����� ���"�].

essai.txt (13,581 bytes)

jghali

2008-01-18 08:59

administrator   ~0018635

Currently Hebrew and languages which are written right to left are not really supported. Their support will be improved in 1.3.6+

Kunda

2014-07-14 21:00

manager   ~0032753

RTL issue. Adding to Metabug 0003965

Kunda

2016-03-26 13:48

manager   ~0039443

Fahad uploaded screenshot to https://github.com/HOST-Oman/scribus/issues/75#issuecomment-201222726 showing this issue is fixed in HOST.

Kunda

2016-03-26 13:49

manager  

Kunda

2016-03-26 13:49

manager   ~0039444

According to HOST-Oman team, these issues are fixed in the new CTL branch!
See https://github.com/HOST-Oman/scribus/issues/75#issue-142809558
There will be a build provided soon to test this fix OR one can build their branch manually.

cbradney

2016-12-03 22:25

administrator   ~0042622

r21564

Issue History

Date Modified Username Field Change
2008-01-18 08:50 yoch New Issue
2008-01-18 08:50 yoch File Added: essai.txt
2008-01-18 08:59 jghali Note Added: 0018635
2008-01-18 09:07 jghali Category Import / Export => NLS
2008-02-05 18:47 christoph_s Status new => confirmed
2014-07-14 21:00 Kunda Note Added: 0032753
2014-07-14 21:00 Kunda Relationship added related to 0003965
2016-03-23 13:06 Kunda Tag Attached: RTL
2016-03-26 13:48 Kunda Note Added: 0039443
2016-03-26 13:49 Kunda File Added: 87afb964-f28f-11e5-9a4c-b139fc091158.jpg
2016-03-26 13:49 Kunda Note Added: 0039444
2016-03-26 13:49 Kunda Tag Attached: #please_test
2016-03-26 13:49 Kunda Tag Attached: fixed
2016-03-26 13:49 Kunda Tag Attached: HOST-Oman
2016-12-03 22:25 cbradney Assigned To => Fahad
2016-12-03 22:25 cbradney Status confirmed => resolved
2016-12-03 22:25 cbradney Resolution open => fixed
2016-12-03 22:25 cbradney Fixed in Version => 1.5.3.svn
2016-12-03 22:25 cbradney Note Added: 0042622
2016-12-05 20:21 cbradney Status resolved => closed
2016-12-08 21:41 cbradney Target Version => 1.5.3